<?php
	/*
		date.php
		
		Date data and functions

		Copyright (C) 2000 Contributors of the QuakeForge Project
		Please see the file "AUTHORS" for a list of contributors

		This program is free software; you can redistribute it and/or
		modify it under the terms of the GNU General Public License
		as published by the Free Software Foundation; either version 2
		of the License, or (at your option) any later version.

		This program is distributed in the hope that it will be useful,
		but WITHOUT ANY WARRANTY; without even the implied warranty of
		MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  

		See the GNU General Public License for more details.

		You should have received a copy of the GNU General Public License
		along with this program; if not, write to:

		Free Software Foundation, Inc.
		59 Temple Place - Suite 330
		Boston, MA  02111-1307, USA.
	*/

	have('date');

	$shortMonths = array(	1=>'Jan', 2=>'Feb', 3=>'Mar', 4=>'Apr',
							5=>'May', 6=>'Jun', 7=>'Jul', 8=>'Aug',
							9=>'Sep', 10=>'Oct', 11=>'Nov', 12=>'Dec');

	function fileParseDate($date)
	{
		global $shortMonths;
		
		return substr( $date, 3 ) . ' ' . $shortMonths[substr( $date, 1, 2 )];
	}
	
	function dateFromSQLDateTime( $sqlDateTime )
	{
		$time = explode( ' ', $sqlDateTime );
		$date = explode( '-', $time[0] );
		return strftime( '%d %b %Y', mktime( 0, 0, 0, $date[1], $date[2], $date[0]));
	}
?>
